{% extends "base.html" %}
{% load rules %}
{% load vstatic %}

{% block includes %}
    <script src="{% vstatic 'main/js/organizacao.js' %}"></script>
{% endblock %}

{% block content %}
    {% has_perm 'organizacao.alterar' user object as pode_alterar_organizacao %}
    <h3 class="mb-5">Organização <i>{{ object }}</i>{% if pode_alterar_organizacao %}
        <a class="btn btn-sm btn-primary ml-2" href="{{ object.get_update_url }}"><i class="fa fa-pen mr-1"></i> Editar</a>{% endif %}
    </h3>
    <div class="row">
        <div class="col-lg-12">
            <h5 class="mb-4">Integrantes:</h5>
            {% if org_usuarias.count %}
                <table class="table table-sm">
                    <thead>
                    <tr>
                        <th>Nome</th>
                        <th>Admin?</th>
                        <th>Mapeador?</th>
                        <th>Revisor?</th>
                        {% if pode_alterar_organizacao %}
                            <th style="width: 1px;"></th>
                        {% endif %}
                    </tr>
                    </thead>
                    {% for organizacao_usuaria in org_usuarias.all %}
                        <tr>
                            <td>{{ organizacao_usuaria.usuaria }} ({{ organizacao_usuaria.usuaria.username }})</td>
                            <td>{{ organizacao_usuaria.is_admin|yesno }}</td>
                            <td>{{ organizacao_usuaria.is_mapeador|yesno }}</td>
                            <td>{{ organizacao_usuaria.is_revisor|yesno }}</td>

                            {% if pode_alterar_organizacao %}
                                <td class="text-right">
                                    {% if organizacao_usuaria.usuaria.id != user.id %}
                                        <i
                                                class="fas fa-trash-alt text-danger clickable delete_organizacaousuaria"
                                                title="Excluir integrante {{ organizacao_usuaria.usuaria }}"
                                                data-organizacaousuaria-id="{{ organizacao_usuaria.id }}"
                                                data-organizacao="{{ object }}"
                                                data-usuaria="{{ organizacao_usuaria.usuaria }}"></i>
                                    {% endif %}
                                </td>
                            {% endif %}
                        </tr>
                    {% endfor %}
                </table>
            {% else %}
                <p>Esta organização ainda não tem nenhum/a integrante.</p>
            {% endif %}
        </div>
    </div>
    {% if pode_alterar_organizacao %}
        <div class="row">
            <div class="col-sm-12">
                <h5 class="mt-5 mb-4">Adicionar integrante:</h5>

                <form class="form-inline" method="post" action="/organizacaousuaria/update">
                    {% csrf_token %}
                    <div class="row mb-5">
                        <div class="col-8 col-md-6">
                            <input type="hidden" name="organizacao" id="add_existing_member_organizacao"
                                   value="{{ object.id }}"/>
                            <label class="sr-only" for="usuaria-select">Escolha um(a) usuário(a)</label>
                            <select class="custom-select mb-2 mr-sm-1 " name="usuaria"
                                    id="add_existing_member_user">
                                <option value="" selected>Escolha um(a) usuário(a) da plataforma Tô no Mapa</option>
                                {% for usuaria in usuarias_do_sistema %}
                                    <option value="{{ usuaria.id }}">{{ usuaria }} ({{ usuaria.username }})</option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="col-4 col-md-6">
                            <div class="form-check mb-2 mr-sm-2 justify-content-start">
                                <input class="form-check-input" type="checkbox" id="add_existing_member_is_admin"
                                       name="is_admin">
                                <label class="form-check-label" for="usuaria-admin">
                                    É admin da organização?
                                </label>
                            </div>
                            <div class="form-check mb-2 mr-sm-2 justify-content-start">
                                <input class="form-check-input" type="checkbox" id="add_existing_member_is_mapeador"
                                       name="is_mapeador">
                                <label class="form-check-label" for="usuaria-mapeador">
                                    Mapeador?
                                </label>
                            </div>
                            <div class="form-check mb-2 mr-sm-2 justify-content-start">
                                <input class="form-check-input" type="checkbox" id="add_existing_member_is_revisor"
                                       name="is_revisor">
                                <label class="form-check-label" for="usuaria-revisor">
                                    Revisor?
                                </label>
                            </div>
                        </div>
                        <div class="col-12">
                            <button type="submit" class="btn btn-success mb-2 mr-sm-2" id="add_existing_member_bt"
                                    disabled>
                                <i class="fa fa-plus mr-1"></i> Inserir na organização
                            </button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-12">
                            <p>Se você quer inserir alguém na organização, mas ela não está na lista de opções, crie
                                um(a) novo(a) usuário(a) da plataforma Tô no Mapa:</p>
                        </div>
                        <div class="col-12">
                            <p>
                                <a href="{% url 'org_usuaria_create' organizacao_id=object.id %}"
                                   class="btn btn-primary mb-2"><i class="fa fa-user-plus mr-1"></i> Cadastrar nova(o)
                                    usuária(o) na plataforma Tô no Mapa</a>
                            </p>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    {% endif %}

{% endblock %}
